import request from '@/utils/request'

// 查询红外输入列表
export function listInfraredIn(query) {
  return request({
    url: '/data/infraredIn/list',
    method: 'get',
    params: query
  })
}

// 查询红外输入详细
export function getInfraredIn(id) {
  return request({
    url: '/data/infraredIn/' + id,
    method: 'get'
  })
}

// 新增红外输入
export function addInfraredIn(data) {
  return request({
    url: '/data/infraredIn',
    method: 'post',
    data: data
  })
}

// 修改红外输入
export function updateInfraredIn(data) {
  return request({
    url: '/data/infraredIn',
    method: 'put',
    data: data
  })
}

// 删除红外输入
export function delInfraredIn(id) {
  return request({
    url: '/data/infraredIn/' + id,
    method: 'delete'
  })
}
export function getInfraredInputID()
{return request({
  url:'/data/infraredIn/getInfraredInputOption',
  method:'get'
})
}

